Bug Hunting Session
Bug 62384 - Turkish Lira sign should precede numbers, not follow
Summary: Turkish Lira sign should precede numbers, not follow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL: http://www.tcmb.gov.tr/yeni/eng/
Whiteboard: target:4.1.0 target:4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-15 21:05 UTC by Emir Sarı (away)
Modified: 2013-03-18 12:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-03-15 21:05:37 UTC
Hello,

Thanks to Andras Timar's fix, the new Turkish Lira sign is available in LO. But it's not correctly included, the sign should always precede the numerical values according to the specifications indicated by the Central Bank of Turkey (see URL.). In 4.0.2.1, it follows the numerical values.
Comment 1 Commit Notification 2013-03-17 19:56:09 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83cdc5ca370ed723d78ab38969792079f248b31f

fdo#62384 Turkish lira sign shall precede the numerical figure without a space



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Emir Sarı (away) 2013-03-17 20:21:07 UTC
Thank you very much Andras. Will it be available in 4.0.2 or just the master build?
Comment 3 Andras Timar 2013-03-17 20:29:06 UTC
(In reply to comment #2)
> Thank you very much Andras. Will it be available in 4.0.2 or just the master
> build?

Yes, targetted for 4.0.2.
https://gerrit.libreoffice.org/2807
https://gerrit.libreoffice.org/2808
Comment 4 Commit Notification 2013-03-18 06:59:44 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b42cf4c4c952eb62803d06e3da41a8926b8f7f8d&h=libreoffice-4-0

fdo#62384 Turkish lira sign shall precede the numerical figure without a space


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-03-18 12:00:24 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a3b6c579f92b5e10ce1b61aafbe2d8d10333c88&h=libreoffice-4-0-2

fdo#62384 Turkish lira sign shall precede the numerical figure without a space


It will be available already in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.